# API Reference
source: https://developer.mastercard.com/mastercard-send-account-info/documentation/api-reference/index.md

## Environment Domains {#environment-domains}

In January 2026, we introduced the following RNTZ (Regional Network Transit Zone) domains for this API. All users of this API service must transition to these domains.
* Sandbox
* MTF
* Production

```Sandbox
https://sandbox.api.move.mastercard.com/send/static
```

```MTF
https://sandbox.api.move.mastercard.com/send
```

```Production
https://api.move.mastercard.com/send
```

* Sandbox
* MTF
* Production

```Sandbox
https://sandbox.api.mastercard.com/send/static
```

```MTF
https://sandbox.api.mastercard.com/send
```

```Production
https://api.mastercard.com/send
```

To form the full endpoint URL, combine the appropriate domain portion (shown above) with the path portion shown by the OpenAPI specification (see below).
Note: Mastercard will end support of the non-RNTZ domains for this API service on 31 March 2027, see the [API release notes](https://static.developer.mastercard.com/content/mastercard-send/release-notes/mastercard-send-release-notes-26.2.pdf#page=4).

## APIs {#apis}

This API supports JSON and XML requests. The expandable section below shows JSON example requests and responses. For XML examples, see [Sample Requests and Responses](https://developer.mastercard.com/mastercard-send-account-info/documentation/api-reference/index.md#sample-requests-and-responses). Use [HTTP Headers](https://developer.mastercard.com/mastercard-send-account-info/documentation/api-basics/index.md#http-headers) to determine the response format. We recommend you log the Correlation ID (correlation-id) response header value for tracking purposes. When seeking support, providing the relevant Correlation ID may help resolve your inquiry more quickly.

The `partnerId` portion of the URL makes the request unique to a specific Originating Institution or Transaction Initiator:

* Sandbox API: Use any ID of valid length (32 characters), e.g. `ptnr_BEeCrYJHh2BXTXPy_PEtp-8DBOo`
* MTF and Production APIs: Use the Partner Reference ID you receive when you [register for the Mastercard Send program](https://developer.mastercard.com/mastercard-send/documentation/send-eligibility/)


API Specification: `https://static.developer.mastercard.com/content/mastercard-send-account-info/swagger/account-information-api-swagger.yaml`

## Sandbox Testing {#sandbox-testing}

You can make API calls to the Sandbox server from an API tool or your application code or the [tutorials](https://developer.mastercard.com/mastercard-send-account-info/documentation/tutorials-and-guides/index.md), which involves creating a Mastercard Developers project and using the Sandbox keys to generate the required OAuth 1.0a Authorization Header.

The Sandbox server returns simulated responses. For testing guidance, see [Testing](https://developer.mastercard.com/mastercard-send-account-info/documentation/testing/index.md).

## Sample Requests and Responses {#sample-requests-and-responses}

This section presents example API messages for each type of API call. For request messages:

* **Format:** JSON / XML
* **HTTP Version:** 1.0 / 1.1
* **HTTP Header Parameters:** see [HTTP Headers](https://developer.mastercard.com/mastercard-send-account-info/documentation/api-basics/index.md#http-headers)

Response messages also contain the content-type and content-length header parameters.

### PUT Request {#put-request}

**Sandbox URL:** https://sandbox.api.move.mastercard.com/send/static/v1/partners/{partnerId}/accounts/account-info?fields={fields}  
**MTF URL:** https://sandbox.api.move.mastercard.com/send/v1/partners/{partnerId}/accounts/account-info?fields={fields}  
**Production URL:** https://api.move.mastercard.com/send/v1/partners/{partnerId}/accounts/account-info?fields={fields}
* JSON
* XML

```JSON
{
  "account_info": {
    "account_uri": "pan:5102589999999913;exp=2077-08;cvc=123",
    "amount": "1000",
    "currency": "USD",
    "payment_type": "P2P",
    "enhanced_response": "true"
  }
}
```

```XML
<account_info>
   <account_uri>pan:5102589999999913;exp=2077-08;cvc=123</account_uri>
   <amount>1000</amount> 
   <currency>USD</currency>
   <payment_type>P2P</payment_type>
   <enhanced_response>true</enhanced_response>
</account_info>
```

### 200 Response -- Eligible to Send and Receive {#200-response--eligible-to-send-and-receive}

* JSON
* XML

```JSON
{
  "account_info": {
    "resource_type": "account_info",
    "sending_eligibility": {
      "eligible": true
    },
    "receiving_eligibility": {
      "eligible": true
    },
    "type": "DEBIT",
    "brand": "MASTERCARD",
    "funds_availability": "IMMEDIATE",
    "institution_name": "BANCORP BANK, THE",
    "institution_country": "USA",
    "account_statement_currency": "USD",
    "acceptance_brand": "DMC",
    "product_type": "Consumer"
  }
}
```

```XML
<account_info>
   <resource_type>account_info</resource_type>
   <sending_eligibility>
      <eligible>true</eligible>
   </sending_eligibility>
   <receiving_eligibility>
      <eligible>true</eligible>
   </receiving_eligibility>
   <type>DEBIT</type>
   <brand>MASTERCARD</brand>
   <funds_availability>IMMEDIATE</funds_availability>
   <institution_name>BANCORP BANK, THE</institution_name>
   <institution_country>USA</institution_country>
   <account_statement_currency>USD</account_statement_currency>
   <acceptance_brand>DMC</acceptance_brand>
   <product_type>Consumer</product_type>
</account_info>
```

### 200 Response -- Not Eligible to Send, Eligible to Receive {#200-response--not-eligible-to-send-eligible-to-receive}

* JSON
* XML

```JSON
{
  "account_info": {
    "resource_type": "account_info",
    "sending_eligibility": {
      "eligible": false,
      "reason_code": "ACCOUNT_NOT_ELIGIBLE",
      "reason_description": "Account not eligible"
    },
    "receiving_eligibility": {
      "eligible": true
    },
    "type": "DEBIT",
    "brand": "MASTERCARD",
    "funds_availability": "IMMEDIATE",
    "institution_name": "BANCORP BANK, THE",
    "institution_country": "USA",
    "account_statement_currency": "USD",
    "acceptance_brand": "DMC",
    "product_type": "Consumer"
  }
}
```

```XML
<account_info>
   <resource_type>account_info</resource_type>
   <sending_eligibility>
      <eligible>false</eligible>
      <reason_code>ACCOUNT_NOT_ELIGIBLE</reason_code>
      <reason_description>Account not eligible</reason_description>
   </sending_eligibility>
   <receiving_eligibility>
      <eligible>true</eligible>
   </receiving_eligibility>
   <type>DEBIT</type>
   <brand>MASTERCARD</brand>
   <funds_availability>IMMEDIATE</funds_availability>
   <institution_name>BANCORP BANK, THE</institution_name>
   <institution_country>USA</institution_country>
   <account_statement_currency>USD</account_statement_currency>
   <acceptance_brand>DMC</acceptance_brand>
   <product_type>Consumer</product_type>
</account_info>
```

### 200 Response -- Not Eligible to Send or Receive {#200-response--not-eligible-to-send-or-receive}

* JSON
* XML

```JSON
{
  "account_info": {
    "resourceType": "account_info",
    "sending_eligibility": {
      "eligible": false,
      "reason_code": "ACCOUNT_NOT_ELIGIBLE",
      "reason_description": "Account not eligible"
    },
    "receiving_eligibility": {
      "eligible": false,
      "reason_code": "ACCOUNT_NOT_ELIGIBLE",
      "reason_description": "Account not eligible"
    }
  }
}
```

```XML
<account_info>
   <resourceType>account_info</resourceType>
   <sending_eligibility>
      <eligible>false</eligible>
      <reason_code>ACCOUNT_NOT_ELIGIBLE</reason_code>
      <reason_description>Account not eligible</reason_description>
   </sending_eligibility>
   <receiving_eligibility>
      <eligible>false</eligible>
      <reason_code>ACCOUNT_NOT_ELIGIBLE</reason_code>
      <reason_description>Account not eligible</reason_description>
   </receiving_eligibility>
</account_info>
```

For information on response codes and error messages, see [Code and Formats](https://developer.mastercard.com/mastercard-send-account-info/documentation/code-and-formats/index.md).
